=== debian/changelog ===
konqueror (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:37:14 +0000

konqueror (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:11:57 +0000

konqueror (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:09:58 -0700

konqueror (4:23.08.4-0ubuntu5) noble; urgency=medium

  * Remove duplicate dh_auto_install. 

 -- Scarlett Moore <sgmoore@debian.org>  Sat, 10 Feb 2024 03:33:19 -0700

konqueror (4:23.08.4-0ubuntu4) noble; urgency=medium

  * Fix rules overidde for apparmor.

 -- Scarlett Moore <sgmoore@debian.org>  Sat, 10 Feb 2024 02:50:12 -0700

konqueror (4:23.08.4-0ubuntu3) noble; urgency=medium

  * Release to archive. 

 -- Scarlett Moore <sgmoore@debian.org>  Sat, 10 Feb 2024 02:22:35 -0700

konqueror (4:23.08.4-0ubuntu2) noble; urgency=medium

  * Add apparmor profile to fix userns. Ref: LP:2046844 
  * Release to archive. 

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 08 Feb 2024 02:04:48 -0700
