=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_auto_install:
	mkdir -p debian/tmp/etc/apparmor.d
	cp debian/konqueror-apparmor debian/tmp/etc/apparmor.d/usr.bin.konqueror
	dh_auto_install
	dh_apparmor --profile-name=usr.bin.konqueror -pkonqueror

execute_after_dh_auto_install:
	# do not ship the development files for konqsidebarplugin, for now
	rm -f debian/tmp/usr/include/konqsidebarplugin.h
	rm -f debian/tmp/usr/lib/*/libkonqsidebarplugin.so
