## konqueror 24.08.2

=== debian/changelog ===
konqueror (4:24.08.2-2ubuntu1) plucky; urgency=medium

  * Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 04 Nov 2024 13:21:43 +0000

konqueror (4:24.08.2-2) plucky; urgency=medium

  [ Aurélien COUDERC ]
  * Update project homepage.

  [ Simon Quigley ]
  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:57:52 -0500

konqueror (4:24.08.2-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Build against Qt6 / KF6, update build-deps and deps with the info from
    cmake.
  * Refresh patch making QtWebEngine optional for Qt6.
  * Adapt packaging to upstream soname bumps, package new
    libkf6konqsettings7 library, update the list of installed files.
  * Split architecture-independent data files and documentation into
    their own packages.
  * Refresh lintian overrides.
  * Review copyright information.
  * Switch away from transitional pkg-config build dependency.
  * Bump Standards-Version to 4.7.0, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 21 Oct 2024 09:35:26 +0200

konqueror (4:23.08.5-0ubuntu7) oracular; urgency=medium

  * Properly address the apparmor profile issue by adding multiple
    lines for the different architectures we want to support until 
    @multiarch is supported. This closes (LP: #2064492)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 11 Jul 2024 08:33:56 -0700

konqueror (4:23.08.5-0ubuntu6) oracular; urgency=medium

  * Allow all apparmor following other profiles. 

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 24 May 2024 08:09:21 -0700

konqueror (4:23.08.5-0ubuntu5) oracular; urgency=medium

  * Include tunables/multiarch.d to allow for variable

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 22 May 2024 06:44:43 -0700

konqueror (4:23.08.5-0ubuntu4) oracular; urgency=medium

  * Set @{multiarch} rather than hard code path. (LP: #2064492)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 16 May 2024 07:20:42 -0700

konqueror (4:22.12.3-2) unstable; urgency=medium

  * Team upload.
  * Stop using qtwebengine5-dev on mipsel, as it will be removed soon from
    that architecture.
  * Remove 2 obsolete maintscript entries in 2 files.

 -- Pino Toscano <pino@debian.org>  Tue, 18 Jul 2023 22:46:25 +0200
