## konqueror 24.12.0

=== debian/changelog ===
konqueror (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Dec 2024 22:55:38 +0100

konqueror (4:24.08.2-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Update project homepage.
  * Add breaks/replaces against versions of kio-extras-data also
    shipping /usr/share/kio_bookmarks/kio_bookmarks.css.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 12:12:37 +0100
