=== debian/control ===
Source: konqueror
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-sequence-kf5,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               libkf6archive-dev,
               libkf6bookmarks-dev,
               libkf6codecs-dev,
               libkf6completion-dev,
               libkf6config-dev,
               libkf6coreaddons-dev,
               libkf6crash-dev,
               libkf6dbusaddons-dev,
               libkf6doctools-dev,
               libkf6guiaddons-dev,
               libkf6i18n-dev,
               libkf6iconthemes-dev,
               libkf6jobwidgets-dev,
               libkf6kcmutils-dev,
               libkf6kio-dev,
               libkf6notifications-dev,
               libkf6parts-dev,
               libkf6sonnet-dev,
               libkf6su-dev,
               libkf6textwidgets-dev,
               libkf6wallet-dev,
               libkf6windowsystem-dev,
               libkf6xmlgui-dev,
               libplasmaactivities-dev,
               libx11-dev,
               pkgconf,
               qt6-base-dev (>= 6.4.0~),
               qt6-webengine-dev (>= 6.4.0~),
               zlib1g-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://apps.kde.org/konqueror
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/konqueror
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/konqueror.git

Package: konq-plugins
Architecture: any
Depends: konqueror (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends},
Enhances: konqueror,
Recommends: imagemagick,
Breaks: kget (<< 4:22.12.0-1), kio-extras-data (<< 4:24.08.0~),
Replaces: kget (<< 4:22.12.0-1), kio-extras-data (<< 4:24.08.0~),
Description: plugins for Konqueror, the KDE file/web/document browser
 This package contains a variety of useful plugins for Konqueror, the
 file manager, web browser and document viewer for KDE.  Many of these
 plugins will appear in Konqueror's Tools menu.
 .
 Web navigation plugins:
  - Akregator feed icon: allows one to add a feed to Akregator from Konqueror
  - Auto Refresh: refresh a webpage at a given rate
  - Bookmarklets: enables the use of bookmarklets, bookmarks containing
    JavaScript code
  - Document Relations: displays the document relations of a document
  - DOM Tree Viewer: view the DOM tree of the current page
  - KHTML Settings: fast way to change the JavaScript/images/cookies settings
  - Microformat Icon: displays an icon in the statusbar if the page contains
    a microformat
  - Search Bar: launches web searches from the Konqueror's toolbar
  - Translate: language translation for the current page using Babelfish
  - UserAgent Changer: quick switch of the UserAgent used for the current site
  - Website Validators: CSS and HTML validation tools
  - Web Archiver: creates archives of websites
  - Crash manager: restores your opened tabs if Konqueror crashes (disabled
    by default as Konqueror has this feature builtin)
 .
 File management plugins:
  - Image Gallery: an easy way to generate a HTML image gallery
  - File Size View (kpart): a proportional view of directories and files
    based on file size
  - Transform Image (service menu): rotate and flip images
  - Convert To (service menu): convert and image to another format
  - Directory Filter (dolphin): filter directory views
 .
 This package is part of the KDE base applications module.

Package: konqueror
Section: web
Architecture: any
Provides: info-browser, man-browser, www-browser,
Depends: dolphin,
         install-info,
         konqueror-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kfind, konqueror-doc, libkf6kcmutils-bin,
Suggests: konq-plugins,
Description: advanced file manager, web browser and document viewer
 Konqueror is KDE's Webbrowser and swiss-army-knife for any kind of
 file-management and file previewing.
 .
 Features:
 - Webbrowsing using KHTML or KDEWebKit as rendering engines
 - File management using most of Dolphin's features (including version-control,
   service menus and the basic UI)
 - File management on ftp and sftp servers
 - Full featured FTP-client (you can split views to display local and remote
   folders and previews in the same window)
 - Embedded applications to preview files (e.g. Okular and Calligra for
   documents, Gwenview for pictures, KTextEditor for text-files)
 - Different kinds of plugins: Service-menus, KParts (embedded applications),
   KIO (accessing files using special protocols like http or ftp) and
   KPart-plugins (like AdBlocker...)

Package: konqueror-data
Section: web
Architecture: all
Depends: ${misc:Depends},
Breaks: konqueror (<< 4:24.08.2-1~),
Replaces: konqueror (<< 4:24.08.2-1~),
Description: data files for Konqueror
 Konqueror is the KDE web browser and an advanced file manager.
 .
 This package contains the architecture-independent data files of Konqueror.

Package: konqueror-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Breaks: konqueror (<< 4:24.08.2-1~),
Replaces: konqueror (<< 4:24.08.2-1~),
Description: user documentation for Konqueror
 Konqueror is the KDE web browser and an advanced file manager.
 .
 This package contains the user documentation for Konqueror.

Package: libkonq-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6konq7 (= ${binary:Version}),
         libkf6konqsettings7 (= ${binary:Version}),
         ${misc:Depends},
Description: development files for the Konqueror libraries
 Konqueror is the KDE web browser and an advanced file manager.
 .
 This package contains development files for building software that uses the
 Konqueror libraries.

Package: libkf6konq7
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5konq6,
Replaces: libkf5konq6,
Description: core library for Konqueror
 Konqueror is the KDE web browser and an advanced file manager.
 .
 This library contains some core features of konqueror that used to be shared
 with other KDE applications. It’s currently only used by Konqueror.

Package: libkf6konqsettings7
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: settings management library for Konqueror
 Konqueror is the KDE web browser and an advanced file manager.
 .
 This library contains the settings management features of Konqueror.
