## konqueror 24.12.1

=== debian/changelog ===
konqueror (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)
  * Limit build to architectures where QtWebEngine is available.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:35:54 +0000

konqueror (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:16:48 +0000

konqueror (4:24.11.90-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:23:01 -0600

konqueror (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:11:44 +0000

konqueror (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Thu, 28 Nov 2024 21:06:03 +0000

konqueror (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:44:02 +0000
