=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: konqueror
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
+               dh-apparmor,
                dh-exec,
                dh-sequence-kf5,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 5.240.0~),
                gettext,
                libkf6archive-dev,
@@ -36,21 +38,21 @@
                libx11-dev,
                pkgconf,
                qt6-base-dev (>= 6.4.0~),
-               qt6-webengine-dev (>= 6.4.0~),
+               qt6-webengine-dev,
                zlib1g-dev,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/konqueror
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/konqueror
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/konqueror.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konqueror
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konqueror
 
 Package: konq-plugins
-Architecture: any
+Architecture: amd64 arm64 armhf
 Depends: konqueror (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends},
 Enhances: konqueror,
 Recommends: imagemagick,
-Breaks: kget (<< 4:22.12.0-1), kio-extras-data (<< 4:24.08.0~),
-Replaces: kget (<< 4:22.12.0-1), kio-extras-data (<< 4:24.08.0~),
+Breaks: kget (<< 4:22.12.0-1),
+Replaces: kget (<< 4:22.12.0-1),
 Description: plugins for Konqueror, the KDE file/web/document browser
  This package contains a variety of useful plugins for Konqueror, the
  file manager, web browser and document viewer for KDE.  Many of these
@@ -86,14 +88,16 @@
 
 Package: konqueror
 Section: web
-Architecture: any
+Architecture: amd64 arm64 armhf
 Provides: info-browser, man-browser, www-browser,
-Depends: dolphin,
+Depends: konqueror-data (= ${source:Version}),
+         dolphin,
          install-info,
-         konqueror-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: kfind, konqueror-doc, libkf6kcmutils-bin,
+Recommends: kfind,
+            konqueror-doc,
+            libkf6kcmutils-bin,
 Suggests: konq-plugins,
 Description: advanced file manager, web browser and document viewer
  Konqueror is KDE's Webbrowser and swiss-army-knife for any kind of
@@ -115,9 +119,9 @@
 Package: konqueror-data
 Section: web
 Architecture: all
-Depends: ${misc:Depends},
-Breaks: konqueror (<< 4:24.08.2-1~),
-Replaces: konqueror (<< 4:24.08.2-1~),
+Depends: ${misc:Depends}
+Breaks: konqueror (<< 4:24.08.2-1~)
+Replaces: konqueror (<< 4:24.08.2-1~)
 Description: data files for Konqueror
  Konqueror is the KDE web browser and an advanced file manager.
  .
@@ -126,9 +130,9 @@
 Package: konqueror-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends},
-Breaks: konqueror (<< 4:24.08.2-1~),
-Replaces: konqueror (<< 4:24.08.2-1~),
+Depends: ${misc:Depends}
+Breaks: konqueror (<< 4:24.08.2-1~)
+Replaces: konqueror (<< 4:24.08.2-1~)
 Description: user documentation for Konqueror
  Konqueror is the KDE web browser and an advanced file manager.
  .
@@ -136,7 +140,7 @@
 
 Package: libkonq-dev
 Section: libdevel
-Architecture: any
+Architecture: amd64 arm64 armhf
 Multi-Arch: same
 Depends: libkf6konq7 (= ${binary:Version}),
          libkf6konqsettings7 (= ${binary:Version}),
@@ -149,7 +153,7 @@
 
 Package: libkf6konq7
 Section: libs
-Architecture: any
+Architecture: amd64 arm64 armhf
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Breaks: libkf5konq6,
@@ -162,7 +166,7 @@
 
 Package: libkf6konqsettings7
 Section: libs
-Architecture: any
+Architecture: amd64 arm64 armhf
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: settings management library for Konqueror
